Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.xml
Class XMLBootModule

    java.lang.Object
      |
      +--uk.ac.man.bioinf.module.Module
            |
            +--uk.ac.man.bioinf.apps.xml.XMLBootModule

Direct Known Subclasses:
  CinemaBoot

public abstract class XMLBootModule
extends Module

XMLBootModule.java This is a module which loads other modules by parsing an XML file defined by the module DTD. For itself it requires a single parameter which is the file to start parsing. It can also take a second parameter which defines the class to use to get the initial parser instance, which should extend and override the DefaultXMLParser class. The class has been written this way because at the moment neither the SAX or the DOM parser API actually defines how this is done and it varies from parser to parser. Once the files have been read there is really no need to hold a copy of the object structure in memory so this class uses the SAX parser. Ive decided to use SAX2, which is still in beta for several of the publically available parsers. Hopefully this wont be a problem. Created: Mon May 8 20:37:57 2000

Version:
  $Id: XMLBootModule.java,v 1.21 2002/03/08 17:44:44 lord Exp $
Author:
  Phillip Lord

Nested Class Summary
`class` | `XMLBootModule.MiniStack`

Constructor Summary
`XMLBootModule()`

Method Summary
`void` | `characters(String chars)`
`void` | `classEnd()`
`void` | `configStart(org.xml.sax.Attributes attrib)`
`void` | `enumerationEnd()`
`abstract String` | `fetchMainBootName()`
`abstract String` | `fetchModuleSystemIdentifier()`
`void` | `genericEnd()`
`String` | `getVersion()` Returns the version of this module.
`protected String` | `getXMLParserClass()`
`void` | `identifierStart(org.xml.sax.Attributes attribute)`
`void` | `load()` The method called for the load of this module.
`void` | `loadEnd()`
`void` | `moduleEnd()`
`void` | `nameEnd()`
`void` | `nodeEnd()`
`void` | `nodeStart()`
`void` | `paramEnd()`
`void` | `paramnameEnd()`
`void` | `parseResource(String name, boolean required)`
`void` | `parseStream(InputStream stream)`
`void` | `propertiesEnd()`
`void` | `propertiesStart()`
`void` | `provideEnd()`
`void` | `readEnd()`
`void` | `readStart(org.xml.sax.Attributes attribute)`
`abstract InputStream` | `resolveXMLLoadName(String name)`
`void` | `startEnd()`
`void` | `treeEnd()`
`void` | `treeStart()`
`void` | `valueEnd()`

Methods inherited from class uk.ac.man.bioinf.module.Module
`addPropertyChangeListener, addPropertyChangeListener, destroy, finalize, firePropertyChange, firePropertyChange, firePropertyChange, getContext, getIdentifier, getRequiredIdentifiers, getRequiredModule, getRequiredModules, hasListeners, isDestroyed, isStarted, removePropertyChangeListener, removePropertyChangeListener, runStart, setContext, start`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLBootModule

    public XMLBootModule()

Method Detail

### characters

    public void characters(String chars)

### classEnd

    public void classEnd()

### nameEnd

    public void nameEnd()

### paramnameEnd

    public void paramnameEnd()

### identifierStart

    public void identifierStart(org.xml.sax.Attributes attribute)

### enumerationEnd

    public void enumerationEnd()

### genericEnd

    public void genericEnd()

### startEnd

    public void startEnd()

### loadEnd

    public void loadEnd()
                 throws org.xml.sax.SAXException

    `org.xml.sax.SAXException`

### readStart

    public void readStart(org.xml.sax.Attributes attribute)

### readEnd

    public void readEnd()
                 throws org.xml.sax.SAXException

    `org.xml.sax.SAXException`

### valueEnd

    public void valueEnd()

### paramEnd

    public void paramEnd()

### propertiesStart

    public void propertiesStart()

### propertiesEnd

    public void propertiesEnd()

### provideEnd

    public void provideEnd()

### configStart

    public void configStart(org.xml.sax.Attributes attrib)

### moduleEnd

    public void moduleEnd()

### treeStart

    public void treeStart()

### nodeStart

    public void nodeStart()

### nodeEnd

    public void nodeEnd()

### treeEnd

    public void treeEnd()

### load

    public void load()
              throws ModuleException

  Description copied from class: `Module`
  The method called for the load of this module.

  Overrides:
    `load` in class `Module`
    `ModuleException`

### parseResource

    public void parseResource(String name,
                              boolean required)
                       throws org.xml.sax.SAXException

    `org.xml.sax.SAXException`

### parseStream

    public void parseStream(InputStream stream)
                     throws IOException,
                            org.xml.sax.SAXException

    `IOException`
    `org.xml.sax.SAXException`

### getVersion

    public String getVersion()

  Description copied from class: `Module`
  Returns the version of this module.

  Specified by:
    `getVersion` in class `Module`
  Returns:
    the version

### getXMLParserClass

    protected String getXMLParserClass()

### fetchMainBootName

    public abstract String fetchMainBootName()

### fetchModuleSystemIdentifier

    public abstract String fetchModuleSystemIdentifier()

### resolveXMLLoadName

    public abstract InputStream resolveXMLLoadName(String name)
                                            throws IOException

    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD